CRAN Package Check Results for Package tabnet

Last updated on 2024-06-22 03:49:43 CEST.

Flavor Version Tinstall Tcheck Ttotal Status Flags
r-devel-linux-x86_64-debian-clang 0.6.0 10.83 102.23 113.06 OK
r-devel-linux-x86_64-debian-gcc 0.6.0 9.25 77.09 86.34 OK
r-devel-linux-x86_64-fedora-clang 0.6.0 153.91 OK
r-devel-linux-x86_64-fedora-gcc 0.6.0 156.85 OK
r-devel-windows-x86_64 0.6.0 11.00 92.00 103.00 OK
r-patched-linux-x86_64 0.6.0 8.87 99.09 107.96 OK
r-release-linux-x86_64 0.5.0 6.47 90.99 97.46 OK
r-release-macos-arm64 0.6.0 70.00 OK
r-release-macos-x86_64 0.6.0 141.00 OK
r-release-windows-x86_64 0.6.0 11.00 97.00 108.00 OK
r-oldrel-macos-arm64 0.6.0 69.00 ERROR
r-oldrel-macos-x86_64 0.6.0 126.00 ERROR
r-oldrel-windows-x86_64 0.6.0 14.00 110.00 124.00 OK

Check Details

Version: 0.6.0
Check: running R code from vignettes
Result: ERROR Errors in running code in vignettes: when running code in ‘Hierarchical_classification.Rmd’ ... > config <- tabnet_config(decision_width = 8, attention_width = 8, + num_steps = 3, penalty = 0.003, cat_emb_dim = 2, valid_split = 0.2, + l .... [TRUNCATED] > starw_model <- tabnet_fit(starwars_train_tree, config = config, + epoch = 170, checkpoint_epochs = 25) When sourcing ‘Hierarchical_classification.R’: Error: Lantern is not loaded. Please use `install_torch()` to install additional dependencies. Execution halted when running code in ‘Missing_data_predictors.Rmd’ ... > cat_emb_dim <- map_dbl(ames %>% select_if(is.factor), + ~log2(nlevels(.x)) %>% round) > ames_pretrain <- tabnet_pretrain(ames_rec, data = ames, + epoch = 50, cat_emb_dim = cat_emb_dim, valid_split = 0.2, + verbose = TRUE, batc .... [TRUNCATED] When sourcing ‘Missing_data_predictors.R’: Error: Lantern is not loaded. Please use `install_torch()` to install additional dependencies. Execution halted when running code in ‘interpretation.Rmd’ ... ✖ dplyr::lag() masks stats::lag() ℹ Use the conflicted package (<http://conflicted.r-lib.org/>) to force all conflicts to become errors > set.seed(1) > torch::torch_manual_seed(1) When sourcing ‘interpretation.R’: Error: Lantern is not loaded. Please use `install_torch()` to install additional dependencies. Execution halted when running code in ‘selfsupervised_training.Rmd’ ... > rec <- recipe(Class ~ ., lending_club) %>% step_normalize(all_numeric()) > unlabeled_baked_df <- rec %>% prep %>% bake(new_data = unlabeled) > mod <- tabnet_pretrain(rec, unlabeled, epochs = 50, + valid_split = 0.2, batch_size = 5000, verbose = TRUE) When sourcing ‘selfsupervised_training.R’: Error: Lantern is not loaded. Please use `install_torch()` to install additional dependencies. Execution halted when running code in ‘tidymodels-interface.Rmd’ ... There were issues with some computations A: x1 There were issues with some computations A: x5 Warning: All models failed. Run `show_notes(.Last.tune.result)` for more information. > collect_metrics(fit_rs) When sourcing ‘tidymodels-interface.R’: Error: All models failed. Run `show_notes(.Last.tune.result)` for more information. Execution halted ‘Hierarchical_classification.Rmd’ using ‘UTF-8’... failed ‘Missing_data_predictors.Rmd’ using ‘UTF-8’... failed ‘interpretation.Rmd’ using ‘UTF-8’... failed ‘selfsupervised_training.Rmd’ using ‘UTF-8’... failed ‘tidymodels-interface.Rmd’ using ‘UTF-8’... failed Flavor: r-oldrel-macos-arm64

Version: 0.6.0
Check: running R code from vignettes
Result: ERROR Errors in running code in vignettes: when running code in ‘Hierarchical_classification.Rmd’ ... > config <- tabnet_config(decision_width = 8, attention_width = 8, + num_steps = 3, penalty = 0.003, cat_emb_dim = 2, valid_split = 0.2, + l .... [TRUNCATED] > starw_model <- tabnet_fit(starwars_train_tree, config = config, + epoch = 170, checkpoint_epochs = 25) When sourcing ‘Hierarchical_classification.R’: Error: Lantern is not loaded. Please use `install_torch()` to install additional dependencies. Execution halted when running code in ‘Missing_data_predictors.Rmd’ ... > cat_emb_dim <- map_dbl(ames %>% select_if(is.factor), + ~log2(nlevels(.x)) %>% round) > ames_pretrain <- tabnet_pretrain(ames_rec, data = ames, + epoch = 50, cat_emb_dim = cat_emb_dim, valid_split = 0.2, + verbose = TRUE, batc .... [TRUNCATED] When sourcing ‘Missing_data_predictors.R’: Error: Lantern is not loaded. Please use `install_torch()` to install additional dependencies. Execution halted when running code in ‘interpretation.Rmd’ ... ✖ dplyr::lag() masks stats::lag() ℹ Use the conflicted package (<http://conflicted.r-lib.org/>) to force all conflicts to become errors > set.seed(1) > torch::torch_manual_seed(1) When sourcing ‘interpretation.R’: Error: Lantern is not loaded. Please use `install_torch()` to install additional dependencies. Execution halted when running code in ‘selfsupervised_training.Rmd’ ... > rec <- recipe(Class ~ ., lending_club) %>% step_normalize(all_numeric()) > unlabeled_baked_df <- rec %>% prep %>% bake(new_data = unlabeled) > mod <- tabnet_pretrain(rec, unlabeled, epochs = 50, + valid_split = 0.2, batch_size = 5000, verbose = TRUE) When sourcing ‘selfsupervised_training.R’: Error: Lantern is not loaded. Please use `install_torch()` to install additional dependencies. Execution halted when running code in ‘tidymodels-interface.Rmd’ ... There were issues with some computations A: x4 There were issues with some computations A: x5 Warning: All models failed. Run `show_notes(.Last.tune.result)` for more information. > collect_metrics(fit_rs) When sourcing ‘tidymodels-interface.R’: Error: All models failed. Run `show_notes(.Last.tune.result)` for more information. Execution halted ‘Hierarchical_classification.Rmd’ using ‘UTF-8’... failed ‘Missing_data_predictors.Rmd’ using ‘UTF-8’... failed ‘interpretation.Rmd’ using ‘UTF-8’... failed ‘selfsupervised_training.Rmd’ using ‘UTF-8’... failed ‘tidymodels-interface.Rmd’ using ‘UTF-8’... failed Flavor: r-oldrel-macos-x86_64